"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _drywall = require("drywall");

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _propTypes = _interopRequireDefault(require("prop-types"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * A drywall `<Button>` extended to include bootstrap prop types and defaults.
 */
var Button = (0, _styledComponents.default)(_drywall.Button).withConfig({
  displayName: "Button",
  componentId: "sc-66kahk-0"
})([""]);
Button.propTypes = {
  appearance: _propTypes.default.oneOf(['primary', 'secondary', 'success', 'danger', 'warning', 'info', 'light', 'dark']),
  buttonSize: _propTypes.default.oneOf(['sm', 'md', 'lg']),
  variant: _propTypes.default.oneOf(['default', 'outline'])
};
Button.defaultProps = {
  appearance: 'primary',
  buttonSize: 'md',
  variant: 'default'
};
/** @component */

var _default = Button;
exports.default = _default;